List of patient eligibility links
curl --request GET \
--url https://api.anagram.care/api/auth/v1/patients/{patient_code}/eligibility/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.anagram.care/api/auth/v1/patients/{patient_code}/eligibility/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.anagram.care/api/auth/v1/patients/{patient_code}/eligibility/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"request_uid": null,
"provider_app_url": "https://anagram.care/patients/24",
"results": [
{
"insurer_code": "insurer:vision:test",
"id": 0,
"plan_is_active": true,
"status": "active",
"plan_name": "PLAN",
"plan_group": "PLAN GROUP",
"plan_group_id": null,
"plan_begin_date": "2024-01-01",
"plan_end_date": "2025-12-31",
"plan_refresh_date": "2025-01-01",
"persons": [
{
"first_name": "John",
"last_name": "Doe",
"dob": "1988-04-01",
"sex": "male",
"member_id": "R000000",
"ssn_last_four": "9999",
"type": "self",
"address": {
"line1": "1234 Main St",
"line2": "Apt 1",
"city": "Los Angeles",
"zipcode": "90210",
"state": "CA"
},
"email": "example@anagram.care",
"phone": "1999999999",
"id": 0,
"full_name": "John Doe",
"is_active": true,
"plan": {
"refresh_date": null,
"insurer_state": "inn",
"begin_date": null,
"end_date": null,
"items": []
}
}
]
}
]
}
]
}{
"detail": "patient not found"
}Authenticated API
List Patient Eligibility Links
Lists all eligibility requests linked with a specific patient
GET
/
api
/
auth
/
v1
/
patients
/
{patient_code}
/
eligibility
/
List of patient eligibility links
Authorizations
Your API token prefaced with an "Api" prefix. Example value: "Api B3F4242424E3FDB4242424242A9C7642"
Path Parameters
⌘I